nisgrpadm(1)

NAME
nisgrpadm - NIS+ group administration

SYNOPSIS

nisgrpadm -a| -r| -t [ -s ] group principal...

nisgrpadm -c| -d| ( -l [ -M ]) [ -s ] group

DESCRIPTION
nisgrpadm is used to administer NIS+ groups and the groups' membership lists. nisgrpadm can create, destroy, or list NIS+ groups. It can add or delete principals to the group, or test principals for membership in the group.

The names of NIS+ groups are syntactically similar to names of NIS+ objects but they occupy a separate namespace. A group named "admin.foo.bar." is represented by a NIS+ group object named "admin.groups_dir.foo.bar."; the functions described here all expect the name of the group, not the name of the corresponding group object.

Any member may be made negative by prefixing it with a minus sign ('-').

A principal is considered to belong to a group if it belongs to at least one non-negative group member of the group and belongs to no negative group members.

OPTIONS

-a  Add the list of NIS+ principals specified to group. The principal name should be fully qualified.

-c  Create group in the NIS+ namespace. The NIS+ group name should be fully qualified.

-d  Destroy (remove) group from the namespace.

-l  List the membership list of the specified group. (See -M)

-M  Master server only. Send the lookup to the master server of the named data. This guarantees that the most up to date information is seen at the possible expense that the master server may be busy. Note that the -M flag is applicable only with the -l flag.

-r  Remove the list of principals specified from group. The principal name should be fully qualified.

-s  Work silently. Results are returned using the exit status of the command. This status can be translated into a text string using the niserror(1) command.

-t  Display whether the principals specified are members in group.

SEE ALSO
nischgrp(1), nisdefaults(1), niserror(1),

NOTES

Principal names must be fully qualified, whereas groups can be abbreviated on all operations except create.

AUTHOR
This version of the nisgrpadm command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.